Mail archive
alpine-devel

[alpine-devel] [PATCH] main/putty: move from testing

From: Jeff Bilyk <jbilyk_at_gmail.com>
Date: Wed, 23 Mar 2011 08:39:05 +0000

move putty from testing to main
---
 main/putty/APKBUILD    |   47 +++++++++++++++++++++++++++++++++++++++++++++++
 testing/putty/APKBUILD |   47 -----------------------------------------------
 2 files changed, 47 insertions(+), 47 deletions(-)
 create mode 100644 main/putty/APKBUILD
 delete mode 100644 testing/putty/APKBUILD
diff --git a/main/putty/APKBUILD b/main/putty/APKBUILD
new file mode 100644
index 0000000..69f4cb9
--- /dev/null
+++ b/main/putty/APKBUILD
_at_@ -0,0 +1,47 @@
+# Maintainer: Jeff Bilyk <jbilyk_at_alpinelinux.org>
+pkgname=putty
+pkgver=0.60
+pkgrel=0
+pkgdesc="SSH and telnet client"
+url="http://www.chiark.greenend.org.uk/~sgtatham/putty/"
+arch="all"
+license="custom"
+depends=
+depends_dev=
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://the.earth.li/~sgtatham/putty/latest/putty-$pkgver.tar.gz"
+
+_builddir="$srcdir"/putty-$pkgver/unix
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	
+	# We only make all-cli, so no need to try to install these`
+	sed -i 's#$(INSTALL_PROGRAM) -m 755 pterm $(DESTDIR)$(bindir)/pterm##' Makefile.in
+	sed -i 's#$(INSTALL_PROGRAM) -m 755 putty $(DESTDIR)$(bindir)/putty##' Makefile.in
+	sed -i 's#$(INSTALL_PROGRAM) -m 755 puttytel $(DESTDIR)$(bindir)/puttytel##' Makefile.in
+	
+	./configure --prefix=/usr
+	make all-cli || return 1
+}
+
+package() {
+	cd "$_builddir"
+	install -dm755 $pkgdir/usr/bin
+	install -dm755 $pkgdir/usr/share/man/man1
+	make DESTDIR="$pkgdir" install || return 1
+	install -D -m644 ../LICENCE $pkgdir/usr/share/licenses/$pkgname/LICENSE
+}
+
+md5sums="07e65fd98b16d115ae38a180bfb242e2  putty-0.60.tar.gz"
diff --git a/testing/putty/APKBUILD b/testing/putty/APKBUILD
deleted file mode 100644
index 69f4cb9..0000000
--- a/testing/putty/APKBUILD
+++ /dev/null
_at_@ -1,47 +0,0 @@
-# Maintainer: Jeff Bilyk <jbilyk_at_alpinelinux.org>
-pkgname=putty
-pkgver=0.60
-pkgrel=0
-pkgdesc="SSH and telnet client"
-url="http://www.chiark.greenend.org.uk/~sgtatham/putty/"
-arch="all"
-license="custom"
-depends=
-depends_dev=
-makedepends="$depends_dev"
-install=""
-subpackages="$pkgname-doc"
-source="http://the.earth.li/~sgtatham/putty/latest/putty-$pkgver.tar.gz"
-
-_builddir="$srcdir"/putty-$pkgver/unix
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	
-	# We only make all-cli, so no need to try to install these`
-	sed -i 's#$(INSTALL_PROGRAM) -m 755 pterm $(DESTDIR)$(bindir)/pterm##' Makefile.in
-	sed -i 's#$(INSTALL_PROGRAM) -m 755 putty $(DESTDIR)$(bindir)/putty##' Makefile.in
-	sed -i 's#$(INSTALL_PROGRAM) -m 755 puttytel $(DESTDIR)$(bindir)/puttytel##' Makefile.in
-	
-	./configure --prefix=/usr
-	make all-cli || return 1
-}
-
-package() {
-	cd "$_builddir"
-	install -dm755 $pkgdir/usr/bin
-	install -dm755 $pkgdir/usr/share/man/man1
-	make DESTDIR="$pkgdir" install || return 1
-	install -D -m644 ../LICENCE $pkgdir/usr/share/licenses/$pkgname/LICENSE
-}
-
-md5sums="07e65fd98b16d115ae38a180bfb242e2  putty-0.60.tar.gz"
-- 
1.7.4.1
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed Mar 23 2011 - 08:39:05 UTC